<div class="page-wrapper _overflow-hidden">
    <div class="page user-view-page _normal-container">
        <zeb-page-header
            page-title="$ctrl.currentTitle">
        </zeb-page-header>
        <div class="ui-section">
            <zeb-page-subheader
                search-query="$ctrl.sc.query"
                on-search="$ctrl.search()"
                on-reset="$ctrl.reset()">
                <md-button class="md-primary md-raised _left-icon gtm-new-user-button _small"
                    ng-click="$ctrl.showInviteUsersDialog($event)"
                    ng-if="$ctrl.userHasAnyPermission(['iam:invitations:update'])">
                    <md-icon class="material-icons">add_circle</md-icon>
                    <span class="md-button__text">Invite user</span>
                </md-button>
            </zeb-page-subheader>
            <div ng-cloak class="user-view-page__body">
                <article class="article">
                    <md-card class="no-margin-h table-content">
                        <div class="invitations-table invitations-table__header">
                            <div class="invitations-table__row">
                                <div class="invitations-table__col">ID</div>
                                <div class="invitations-table__col _size-m">Email</div>
                                <div class="invitations-table__col">Group</div>
                                <div class="invitations-table__col">Source</div>
                                <div class="invitations-table__col">Date</div>
                                <div class="invitations-table__col"></div>
                            </div>
                        </div>
                        <div class="invitations-table" ng-class="{_empty: $ctrl.isInvitationsEmpty()}">
                            <div class="invitations-table__row" ng-repeat="invite in $ctrl.sr">
                                <div class="invitations-table__col" data-title="{{invite.username}}">
                                    <profile-photo name="userPhoto" squared="15" ng-model="invite.photoUrl" size="34" class="grey-icon desktop-only" label="#{{::invite.id}}"></profile-photo>
                                </div>
                                <div class="invitations-table__col _size-m" data-title="Email" name="userEmail">
                                    <span class="invitations-table__content">{{invite.email}}</span>
                                </div>
                                <div class="invitations-table__col" data-title="Group">
                                    <span class="invitations-table__content">{{ ::invite.group.name }}</span>
                                </div>
                                <div class="invitations-table__col" data-title="Source">
                                    <span class="source-label label black_font">{{::invite.source.toLowerCase()}}</span>
                                </div>
                                <div data-title="Date" class="invitations-table__col">
                                    <div class="users-table__content-wrapper">
                                        <span class="invitations-table__content">{{ invite.createdAt | date: 'MMM d, y HH:mm' }}</span>
                                        <span class="users-table__content-additional">sent by {{ invite.invitor.username }}</span>
                                    </div>

                                </div>
                                <div class="invitations-table__col">
                                    <md-menu ng-if="$ctrl.userHasAnyPermission(['iam:invitations:delete'])" class="pull-right">
                                        <md-button name="userMenu" aria-label="User settings" class="md-icon-button" data-ng-click="$mdMenu.open($event);">
                                            <md-icon class="material-icons">more_vert</md-icon>
                                        </md-button>
                                        <md-menu-content width="2">
                                            <md-menu-item>
                                                <md-button data-ng-click="$ctrl.copyLink(invite);">
                                                    Copy link
                                                </md-button>
                                            </md-menu-item>
                                            <md-menu-item>
                                                <md-button name="userEdit" data-ng-really-message="Do you really want to retry send the invitation?" data-ng-really-click="$ctrl.retryInvite(invite, $index);">
                                                    Resend
                                                </md-button>
                                            </md-menu-item>
                                            <md-menu-item>
                                                <md-button name="userEdit" data-ng-really-message="Do you really want to revoke the invitation?" data-ng-really-click="$ctrl.takeOff(invite);">
                                                    Revoke
                                                </md-button>
                                            </md-menu-item>
                                        </md-menu-content>
                                    </md-menu>
                                </div>
                            </div>
                            <div class="invitations-table__row _centered" ng-if="$ctrl.isInvitationsEmpty()">
                                <span id="noData" class="invitations-table__message">No invitations</span>
                            </div>
                        </div>
                        <md-table-pagination id="pagination"
                            class="users-table__footer"
                            zafira-background-theme="pagination"
                            ng-if="!$ctrl.isInvitationsEmpty()"
                            md-limit="$ctrl.sc.pageSize"
                            md-limit-options=false
                            md-page="$ctrl.sc.page"
                            md-total="{{$ctrl.totalResults}}"
                            md-page-select=false
                            md-boundary-links=true
                            md-on-paginate="$ctrl.search"></md-table-pagination>
                    </md-card>
                </article>
            </div>
        </div>
    </div>
</div>
